> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Branch

> Update an existing branch



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/branches/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/branches/{id}:
    patch:
      tags:
        - Branches
      summary: Update Branch
      description: Update an existing branch
      parameters:
        - schema:
            type: number
            exclusiveMinimum: 0
          in: path
          name: id
          required: true
          description: Branch ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                default:
                  description: Set as default branch (1 = yes, 0 = no)
                  anyOf:
                    - type: number
                      enum:
                        - 1
                    - type: number
                      enum:
                        - 0
                name:
                  type: string
                  minLength: 3
                  description: Branch name
                timezone:
                  type: string
                  minLength: 3
                  description: IANA timezone identifier
              additionalProperties: false
      responses:
        '200':
          description: Updated branch
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Branch ID
                  name:
                    type: string
                    description: Branch name
                  default:
                    type: number
                    description: Whether this is the default branch (1 = yes, 0 = no)
                  timezone:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: IANA timezone identifier
                  tenant:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                            description: Tenant ID
                          name:
                            type: string
                            description: Tenant name
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                    description: Parent tenant
                required:
                  - id
                  - name
                  - default
                  - timezone
                  - tenant
                additionalProperties: false
        '400':
          description: Validation error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                  - validationErrors
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````